Subject: bug#52501: xcalc seems broken

From: Leo Famulari <[email-masked]>
Date: Wed, 15 Dec 2021 12:45:55 -0500

On Wed, Dec 15, 2021 at 09:59:48AM +0100, Josselin Poiret wrote:
> issue is that the application is styled using a resource file, in
> ./lib/X11/app-defaults/, which is supposed to be loaded by libxt.
> Looking at gnu/packages/patches/libxt-guix-search-paths.patch, the
> search paths only take into account the user's home directory and the
> value of GUIX_PROFILE.
> 
> Doing `guix shell xcalc`, followed by `GUIX_PROFILE="$GUIX_ENVIRONMENT"
> xcalc` works for me.  It should work when installed in the default Guix
> profile, but this is pretty ugly.
> 
> This should also be the case for all libxt applications.

Ah, thanks for investigating. I confirm it works fine when installed
into my profile.

> WDYT?

Hm, I'd have to think about how to improve it. What do people think?